[package]
name = "kube-tools-cli"
version = "0.0.1"
authors = ["Moulins"]
edition = "2021"

[[bin]]
name = "kube-tools"
path = "./src/main.rs"

[dependencies]
twin-network = { path = "../twin-network" }
kube-core = { path = "../kube-core" }
kube-db = { path = "../kube-db" }
chrono = "0.4.24"
futures = "0.3.28"
haxeformat = "0.2.3"
humantime = "2.1.0"
image = { version = "0.25.4", default-features = false, features = ["png"] }
reqwest = "0.12.9"
serde = { version = "1.0.110", features = ["serde_derive"] }
clap = { version = "4.2.1", features = ["derive"] }
thiserror = "1.0.40"
# TODO: remove unncessary features
tokio = { version = "1.27", features = ["full", "rt-multi-thread"] }
tokio-stream = "0.1.12"
toml = "0.8.19"
url = "2.3.1"
